## net.sf.saxon.event
Class CharacterMapExpander

    java.lang.Object
      |
      +--net.sf.saxon.event.ProxyReceiver
            |
            +--net.sf.saxon.event.CharacterMapExpander

All Implemented Interfaces:
  Receiver, javax.xml.transform.Result

public class CharacterMapExpander
extends ProxyReceiver

CharacterMapExpander: This ProxyEmitter expands characters occurring in a character map, as specified by the XSLT 2.0 xsl:character-map declaration

Field Summary

Fields inherited from class net.sf.saxon.event.ProxyReceiver
`baseReceiver, config, locationProvider, systemId`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`CharacterMapExpander()`

Method Summary
`void` `attribute(int nameCode, int typeCode, java.lang.CharSequence value, int locationId, int properties)` Output an attribute
`void` `characters(java.lang.CharSequence chars, int locationId, int properties)` Output character data
`protected void` `setCharacterMaps(java.util.List maps)` Set the character maps to be used by this CharacterMapExpander.
`void` `setUseNullMarkers(boolean use)` Indicate whether the result of character mapping should be marked using NUL characters to prevent subsequent XML or HTML character escaping

Methods inherited from class net.sf.saxon.event.ProxyReceiver
`close, comment, endDocument, endElement, getConfiguration, getDocumentLocator, getNamePool, getSystemId, getUnderlyingReceiver, namespace, open, processingInstruction, setConfiguration, setDocumentLocator, setSystemId, setUnderlyingReceiver, setUnparsedEntity, startContent, startDocument, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterMapExpander

    public CharacterMapExpander()

Method Detail

### setCharacterMaps

    protected void setCharacterMaps(java.util.List maps)

  Set the character maps to be used by this CharacterMapExpander. They are merged into a single character map if there is more than one.

### setUseNullMarkers

    public void setUseNullMarkers(boolean use)

  Indicate whether the result of character mapping should be marked using NUL characters to prevent subsequent XML or HTML character escaping

### attribute

    public void attribute(int nameCode,
                          int typeCode,
                          java.lang.CharSequence value,
                          int locationId,
                          int properties)
                   throws XPathException

  Output an attribute

  Specified by:
    `attribute` in interface `Receiver`
  Overrides:
    `attribute` in class `ProxyReceiver`
  Parameters:
    `nameCode` - The name of the attribute, as held in the name pool
    `typeCode` - The type of the attribute, as held in the name pool
    `properties` - Bit significant value. The following bits are defined:
    DISABLE_ESCAPING
  Disable escaping for this attribute
    NO_SPECIAL_CHARACTERS
  Attribute value contains no special characters
    `XPathException`

### characters

    public void characters(java.lang.CharSequence chars,
                           int locationId,
                           int properties)
                    throws XPathException

  Output character data

  Specified by:
    `characters` in interface `Receiver`
  Overrides:
    `characters` in class `ProxyReceiver`
  Parameters:
    `chars` - The characters
    `locationId` - an integer which can be interpreted using a LocationMap to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Bit significant value. The following bits are defined:
  DISABLE_ESCAPING
    Disable escaping for this text node
  USE_CDATA
    Output as a CDATA section
  NO_SPECIAL_CHARACTERS
    Value contains no special characters
  WHITESPACE
    Text is all whitespace
    `XPathException`